//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include <stdlib.h>
#include "MulAxis.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TeeComma"
#pragma resource "*.dfm"
TCustomAxisForm *CustomAxisForm;
//---------------------------------------------------------------------------
__fastcall TCustomAxisForm::TCustomAxisForm(TComponent* Owner)
  : TForm(Owner)
{
}

void TCustomAxisForm::CreateRandomPoints(TChartSeries* Series)
{
  Series->Clear();
  int Old = random(1000);
  for (int t = 1;t<101;t++) {
    Old += random(20)-10;
    Series->Add(Old,"",clTeeColor);
  }
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::FormCreate(TObject *Sender)
{
  XPercent = 50;
  YPercent = 50;
  randomize();
  CreateRandomPoints(LineSeries1);
  CreateRandomPoints(PointSeries1);
  CreateRandomPoints(FastLineSeries1);
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::LineSeries1AfterDrawValues(
      TObject *Sender)
{
  // Calculate axis position and draw
  int PosAxis = Chart1->ChartRect.Left+Chart1->ChartWidth*YPercent/100.0;
  Chart1->LeftAxis->CustomDraw(PosAxis-10,PosAxis-40,PosAxis,DrawGrid->Checked);

  PosAxis = Chart1->ChartRect.Left+Chart1->ChartWidth*(100.0-YPercent)/100.0;
  Chart1->LeftAxis->CustomDraw(PosAxis-10,PosAxis-40,PosAxis,DrawGrid->Checked);

  PosAxis = Chart1->ChartRect.Top+Chart1->ChartHeight*XPercent/100.0;
  Chart1->BottomAxis->CustomDraw(PosAxis+10,PosAxis+40,PosAxis,DrawGrid->Checked);

  PosAxis = Chart1->ChartRect.Top+Chart1->ChartHeight*(100.0-XPercent)/100.0;
  Chart1->BottomAxis->CustomDraw(PosAxis+10,PosAxis+40,PosAxis,DrawGrid->Checked);
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::CheckBox1Click(TObject *Sender)
{
  Chart1->AxisVisible = !CheckBox1->Checked;
  Timer1->Enabled = CheckBox1->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::Timer1Timer(TObject *Sender)
{
  if (XPercent<95)
    XPercent += 5;
  else
    XPercent = 5;
  if (YPercent<97)
    YPercent += 3;
  else
    YPercent = 3;
  Chart1->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::CheckBox2Click(TObject *Sender)
{
  Chart1->LeftAxis->Inverted = CheckBox2->Checked;
  Chart1->BottomAxis->Inverted = CheckBox2->Checked;
}
//---------------------------------------------------------------------------
void __fastcall TCustomAxisForm::DrawGridClick(TObject *Sender)
{
  Chart1->Repaint();
}
//---------------------------------------------------------------------------
